{% extends 'base.html' %}

{% block content %}
    <div>
        <h1>My Projects</h1>
        <p>
            <a href="{% url "create_project" %}">Create a new project</a>
        </p>
        {% if project_list %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </tr>
                </thead>
                <tbody>
                    {% for projects in project_list %}
                        <tr>
                            <th>
                                <a href="{% url "show_project" projects.id %}">{{ projects.name }}</a>
                            </th>
                            <th>{{ projects.tasks.all|length }}</th>
                        </tr>
                    {% endfor %}
                {% else %}
                    <p>You are not assigned to any projects</p>
                {% endif %}
            </tbody>
        </table>
    </div>
{% endblock content %}
